Status: Resolved Start date: 02/17/2011
Priority: Normal Due date:
Assignee: % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: 0.2
Description

Essentially, return the RSBEvent from publishData.

Related issues:
Duplicated by Robotics Service Bus - Feature # 207: Publish operation should ... Rejected 02/22/2011

Associated revisions
Revision 8a9e478e - 05/16/2011 04:49 PM - J. Moringen
Method publish returns created event in src/rsb/Informer.h
fixes #194
    -  src/rsb/Informer.h: all Informer::publish methods return the event

  after sending
    -  test/rsb/UserLevelTest.cpp: added test case to check returned

  events; renamed test suite PublisherTest -> InformerTest

History
#1 - 04/29/2011 05:54 PM - J. Wienke

What is the use case for this?

#2 - 04/29/2011 05:56 PM - I. Lütkebohle

When referencing an event, I need an id, which is created when RSBEvent is instantiated. publishData creates the RSBEvent internally, so I can't get
the id. Returning the event from publishData would provide this, and more.

#3 - 05/16/2011 02:33 PM - J. Wienke
- Category set to C++
- Target version set to 0.2

#4 - 05/16/2011 04:49 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r846.
